WindowsError is not available on linux?

Peng Yu pengyu.ut at gmail.com
Wed Nov 18 03:18:19 CET 2009


It's not clear to me whether WindowsError is available on linux or
not, after I read the document. But I see WindowsError in shutil.py.
Could you somebody let me know what cause the following error?

>>> try:
...   raise WindowsError('WindowsError')
... except WindowsError as e:
...   print e
...
Traceback (most recent call last):
  File "<stdin>", line 3, in <module>
NameError: name 'WindowsError' is not defined



More information about the Python-list mailing list